Class GetUsersTopArtistsRequest
java.lang.Object
se.michaelthelin.spotify.requests.AbstractRequest<Paging<Artist>>
se.michaelthelin.spotify.requests.data.AbstractDataRequest<Paging<Artist>>
se.michaelthelin.spotify.requests.data.users.simplified.GetUsersTopArtistsRequest
Get the current user’s top artists based on calculated affinity.
Affinity is a measure of the expected preference a user has for a particular track or artist. It is based on user behavior, including play history, but does not include actions made while in incognito mode. Light or infrequent users of Spotify may not have sufficient play history to generate a full affinity data set.
As a user’s behavior is likely to shift over time, this preference data is available over three time spans. See
GetUsersTopArtistsRequest.Builder.time_range(String) for more information.
For each time range, the top 50 tracks and artists are available for each user. In the future, it is likely that this restriction will be relaxed. This data is typically updated once each day for each user.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic final classBuilder class for building aGetUsersTopArtistsRequest. -
Method Summary
Methods inherited from class AbstractRequest
bodyParametersToJson, deleteJson, executeAsync, getBody, getBodyParameters, getContentType, getHeaders, getHttpManager, getJson, getUri, initializeBody, postJson, putJsonModifier and TypeMethodDescriptionbodyParametersToJson(List<org.apache.hc.core5.http.NameValuePair> bodyParameters) Convert body parameters to JSON string.Execute DELETE request and get JSON response.Get something asynchronously.org.apache.hc.core5.http.HttpEntitygetBody()Get the request body.List<org.apache.hc.core5.http.NameValuePair> Get the body parameters for this request.org.apache.hc.core5.http.ContentTypeGet the content type for this request.List<org.apache.hc.core5.http.Header> Get the headers for this request.Get the HTTP manager for this request.getJson()Get JSON response as string.getUri()Get the URI for this request.voidInitialize the request body based on content type.postJson()Execute POST request and get JSON response.putJson()Execute PUT request and get JSON response.
-
Method Details
-
execute
public Paging<Artist> execute() throws IOException, SpotifyWebApiException, org.apache.hc.core5.http.ParseExceptionGet an user's top artists.- Returns:
- An user's top artists.
- Throws:
IOException- In case of networking issues.SpotifyWebApiException- The Web API returned an error further specified in this exception's root cause.org.apache.hc.core5.http.ParseException- If a parsing error occurs.
-